Bug 1384665 - [abrt] authconfig-gtk: gdk_window_enable_synchronized_configure(): python2.7 killed by SIGSEGV
Summary: [abrt] authconfig-gtk: gdk_window_enable_synchronized_configure(): python2.7 ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 25
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a2ebeaacfd3a933cf7f641f04ce...
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-10-13 19:23 UTC by Giulio 'juliuxpigface'
Modified: 2017-12-12 10:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:58:44 UTC


Attachments (Terms of Use)
File: backtrace (39.61 KB, text/plain)
2016-10-13 19:23 UTC, Giulio 'juliuxpigface'
no flags Details
File: cgroup (229 bytes, text/plain)
2016-10-13 19:23 UTC, Giulio 'juliuxpigface'
no flags Details
File: core_backtrace (8.85 KB, text/plain)
2016-10-13 19:24 UTC, Giulio 'juliuxpigface'
no flags Details
File: dso_list (11.68 KB, text/plain)
2016-10-13 19:24 UTC, Giulio 'juliuxpigface'
no flags Details
File: environ (240 bytes, text/plain)
2016-10-13 19:24 UTC, Giulio 'juliuxpigface'
no flags Details
File: exploitable (93 bytes, text/plain)
2016-10-13 19:24 UTC, Giulio 'juliuxpigface'
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-13 19:24 UTC, Giulio 'juliuxpigface'
no flags Details
File: maps (34.91 KB, text/plain)
2016-10-13 19:24 UTC, Giulio 'juliuxpigface'
no flags Details
File: mountinfo (3.33 KB, text/plain)
2016-10-13 19:24 UTC, Giulio 'juliuxpigface'
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-13 19:24 UTC, Giulio 'juliuxpigface'
no flags Details
File: open_fds (275 bytes, text/plain)
2016-10-13 19:24 UTC, Giulio 'juliuxpigface'
no flags Details
File: proc_pid_status (969 bytes, text/plain)
2016-10-13 19:24 UTC, Giulio 'juliuxpigface'
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-10-13 19:24 UTC, Giulio 'juliuxpigface'
no flags Details

Description Giulio 'juliuxpigface' 2016-10-13 19:23:52 UTC
Description of problem:
Triying to launch authconfig-ui on Fedora 25 Gnome+Wayland (bare metal) triggered this crash.

Version-Release number of selected component:
authconfig-gtk-6.2.10-14.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/python2 /usr/share/authconfig/authconfig-gtk.py
crash_function: gdk_window_enable_synchronized_configure
executable:     /usr/bin/python2.7
global_pid:     4974
kernel:         4.8.1-1.fc25.i686+PAE
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_window_enable_synchronized_configure at gdkwindow-x11.c:5472
 #1 gtk_window_realize at gtkwindow.c:4848
 #6 gtk_widget_realize at gtkwidget.c:3561
 #7 gtk_window_show at gtkwindow.c:4532
 #12 gtk_widget_show at gtkwidget.c:3243
 #13 glade_xml_set_common_params at glade-xml.c:2085
 #14 glade_xml_build_widget at glade-xml.c:1865
 #15 glade_xml_build_interface at glade-xml.c:1174
 #16 glade_xml_construct at glade-xml.c:154
 #17 pyglade_xml_new at ./libglade.override:134

Comment 1 Giulio 'juliuxpigface' 2016-10-13 19:23:58 UTC
Created attachment 1210230 [details]
File: backtrace

Comment 2 Giulio 'juliuxpigface' 2016-10-13 19:23:59 UTC
Created attachment 1210231 [details]
File: cgroup

Comment 3 Giulio 'juliuxpigface' 2016-10-13 19:24:01 UTC
Created attachment 1210232 [details]
File: core_backtrace

Comment 4 Giulio 'juliuxpigface' 2016-10-13 19:24:03 UTC
Created attachment 1210233 [details]
File: dso_list

Comment 5 Giulio 'juliuxpigface' 2016-10-13 19:24:04 UTC
Created attachment 1210234 [details]
File: environ

Comment 6 Giulio 'juliuxpigface' 2016-10-13 19:24:06 UTC
Created attachment 1210235 [details]
File: exploitable

Comment 7 Giulio 'juliuxpigface' 2016-10-13 19:24:07 UTC
Created attachment 1210236 [details]
File: limits

Comment 8 Giulio 'juliuxpigface' 2016-10-13 19:24:10 UTC
Created attachment 1210237 [details]
File: maps

Comment 9 Giulio 'juliuxpigface' 2016-10-13 19:24:11 UTC
Created attachment 1210238 [details]
File: mountinfo

Comment 10 Giulio 'juliuxpigface' 2016-10-13 19:24:13 UTC
Created attachment 1210239 [details]
File: namespaces

Comment 11 Giulio 'juliuxpigface' 2016-10-13 19:24:14 UTC
Created attachment 1210240 [details]
File: open_fds

Comment 12 Giulio 'juliuxpigface' 2016-10-13 19:24:16 UTC
Created attachment 1210241 [details]
File: proc_pid_status

Comment 13 Giulio 'juliuxpigface' 2016-10-13 19:24:17 UTC
Created attachment 1210242 [details]
File: var_log_messages

Comment 14 Giulio 'juliuxpigface' 2016-10-13 20:32:26 UTC
I can't reproduce this issue on Gnome+Xorg. Setting this to block the "Wayland-related" tracker.

Comment 15 Fedora End Of Life 2017-11-16 14:07:44 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-12-12 10:58:44 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.